#!/usr/bin/env bash

set -euo pipefail
IFS=$'\n\t'

TEMP=${TEMP:-$(mktemp /tmp/clash-config-XXXXXX)}
OUTPUT=${OUTPUT:-$HOME/.config/clash/testoutput.yaml}
OUTDIR=$(dirname $OUTPUT)

LOG="/tmp/clash-updater.log"


exec > ${LOG}
set -x

while true; do
    curl -v --continue -o ${TEMP} ${SUBSCRIPTION_URL}
    RET=$?

    if [[ $RET -eq 0 ]]; then
        mkdir -pv $OUTDIR
        cp -v $TEMP $OUTPUT
    fi

    sleep $((3600*24))
done
